[package]
name = "libk-mm"
version = "0.1.0"
edition = "2024"

[dependencies]
yggdrasil-abi.workspace = true
kernel-arch.workspace = true
libk-util.workspace = true
libk-mm-interface.workspace = true
vmalloc.workspace = true

libyalloc = { path = "../../../lib/libyalloc", default-features = false, features = ["dep-of-kernel"] }

async-trait.workspace = true
log.workspace = true

[lints.rust]
unexpected_cfgs = { level = "allow", check-cfg = ['cfg(rust_analyzer)'] }
